<div style="margin-bottom: 15px; margin-top: 10px;">
    <h5>
       <span jhiTranslate="mpmApp.orderPayment.home.title">Order Payments</span>
    </h5>
    <p-dataTable
        [value]="orderPayments"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems"
        [responsive]="true"
        [lazy]="true"
        [(first)]="first"
        row="itemsPerPage"
        totalRecords="totalItems"
        dataKey="idOrderPayment"
        expandableRows="false"
        rowHover="true"
        (onLazyLoad)="loadDataLazy($event)"
        (onEditComplete)="updateRowData($event)">
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" (click)="process()" href="javascript:void(0)" style="cursor: pointer;"><span><i class="fa fa-dot-circle-o"></i> &nbsp;{{ 'entity.action.process' | translate }}</span></a>
                </li>
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['order-payment-new'] } }]"><span><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</span></a>
                </li>
            </ul>
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="{{ 'mpmApp.orderPayment.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </p-header>
        <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.orderPayment.amount'|translate}}" [style]="{'width': '120px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.amount | number}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.orderPayment.orders'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.ordersId">
                    <a [routerLink]="['../orders', rowData.ordersId  ]" >{{rowData.ordersId}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.orderPayment.payment'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.paymentId">
                    <a [routerLink]="['../payment', rowData.paymentId  ]" >{{rowData.paymentId}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '75px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <!-- <button pButton type="submit"
                        [routerLink]="['../order-payment', rowData.idOrderPayment]"
                        icon="fa-eye"
                        class="flat-button">
                </button> -->
                <button pButton type="submit"
                        [routerLink]="['/', { outlets: { popup: 'order-payment/'+ rowData.idOrderPayment + '/edit'} }]"
                        replaceUrl="true"
                        icon="fa-pencil"
                        class="flat-button">
                </button>
                <button pButton type="submit"
                        (click)="delete(rowData.idOrderPayment)"
                        icon="fa-remove"
                        class="flat-button">
                </button>
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>